/*
 * Class TABLE [G#1, G#2]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1604 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1604 [] = {0xFF01,1551,1603,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1604 [] = {0xFF01,1603,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1604 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1604 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1604 [] = {0xFF01,1603,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1604 [] = {0xFF01,1603,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1604 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1604 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1604 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1604 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1604 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1604 [] = {1603,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1604 [] = {0xFF01,1603,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1604 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1604 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1604 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1604 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1604 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1604[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1604), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1604), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1604), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1604), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1604), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1604), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1604), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1604), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1604), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1604), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1604), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1604), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1604), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1604), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1604), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1604), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9056, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1604), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1604), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1604), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1604(void)
{
	IDSC(desc_1604, 0, 1603);
	IDSC(desc_1604 + 1, 1, 1603);
	IDSC(desc_1604 + 32, 1134, 1603);
	IDSC(desc_1604 + 41, 1135, 1603);
	IDSC(desc_1604 + 50, 916, 1603);
	IDSC(desc_1604 + 56, 778, 1603);
}


#ifdef __cplusplus
}
#endif
